mp3unicode(1)

NAME
mp3unicode - Convert MP3 tags to Unicode

SYNOPSIS
mp3unicode [options] file1 [file2] [...]

DESCRIPTION
mp3unicode MP3Unicode is a command line utility to convert ID3 tags in mp3 files between different encodings.

In order to see the available encodings execute:

    iconv --list

OPTIONS

-s, --source-encoding <encoding>
    Read current mp3 tags assuming they are encoded with <encoding>. <encoding> is either "unicode" or any valid 8bit encoding.

-1, --id3v1-encoding <encoding>
    Write id3v1 tag in <encoding>, if <encoding> is "none", then strip id3v1 tag away. <encoding> may be any valid 8bit encoding, note however that it is not possible to write id3v1 in Unicode.

-2, --id3v2-encoding <encoding>
    Write id3v2 tag in <encoding>, if <encoding> is "none", then strip id3v2 tag away. <encoding> may be either "unicode" or any valid 8bit encoding.

-p, --preserve-unicode
    If source encoding is specified to be some specific encoding and not Unicode, but the actual encoding seems to be Unicode, then assume it is Unicode. E.g., if you want to process a lot of files, some of which are in Unicode (or have Unicode characters somewhere), but some are in cp1251, just issue -s cp1251 -p along with other options. This should work as you would like it to work.

-w, --preview
    Do not modify the files, instead show the tags that would be written. Useful to test specified options for correctness.

-v, --version
    Prints version number, compilation date and time.

-q, --quiet
    Do not report what files have been processed.

EXAMPLE
mp3unicode --source-encoding cp1251 --id3v1-encoding none --id3v2-encoding unicode file.mp3 will read id3v2 tag (or id3v1 tag if there is no id3v2) from the file, convert the text fields in the tag from cp1251 to Unicode and will write id3v2 tag back, stripping away id3v1 tag.

SEE ALSO
mp3unicode Home Page, http://mp3unicode.sourceforge.net. iconv(1p)

AUTHORS AND COPYRIGHT
Copyright (c) 2005-2012 Alon Bar-Lev <alon.barlev@gmail.com>

Copyright (c) 2005-2012 Andrey Dubovik

All rights reserved.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.